/**
 * ParticipationAncillary2.java
 *
 * File generated from the medication2::ParticipationAncillary2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ParticipationAncillary2.
 *
 * 
 */

@XmlType(name = "ParticipationAncillary")
@XmlEnum
@XmlRootElement(name = "ParticipationAncillary2")
public enum ParticipationAncillary2 {
	@XmlEnumValue("ADM")
	ADM("ADM"),
	@XmlEnumValue("ATND")
	ATND("ATND"),
	@XmlEnumValue("CALLBCK")
	CALLBCK("CALLBCK"),
	@XmlEnumValue("CON")
	CON("CON"),
	@XmlEnumValue("DIS")
	DIS("DIS"),
	@XmlEnumValue("ESC")
	ESC("ESC"),
	@XmlEnumValue("REF")
	REF("REF");
	
	private final String value;

    ParticipationAncillary2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ParticipationAncillary2 fromValue(String v) {
        for (ParticipationAncillary2 c: ParticipationAncillary2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
